Package io.vertx.reactivex.ext.auth.oauth2.providers

## Class BoxAuth

- java.lang.Object
- - io.vertx.reactivex.ext.auth.oauth2.providers.BoxAuth

-     public class BoxAuth
      extends Object

  Simplified factory to create an for box.com.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<BoxAuth>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BoxAuth​(BoxAuth delegate)` |
    `BoxAuth​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OAuth2Auth` | `create​(Vertx vertx, String clientId, String clientSecret)` | Create a OAuth2Auth provider for App.net
    `static OAuth2Auth` | `create​(Vertx vertx, String clientId, String clientSecret, HttpClientOptions httpClientOptions)` | Create a OAuth2Auth provider for App.net
    `boolean` | `equals​(Object o)` |
    `BoxAuth` | `getDelegate()` |
    `int` | `hashCode()` |
    `static BoxAuth` | `newInstance​(BoxAuth arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<BoxAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### BoxAuth

          public BoxAuth​(BoxAuth delegate)

    - #### BoxAuth

          public BoxAuth​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public BoxAuth getDelegate()

    - #### create

          public static OAuth2Auth create​(Vertx vertx,
                                          String clientId,
                                          String clientSecret)

      Create a OAuth2Auth provider for App.net
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by box.com
        `clientSecret` - the client secret given to you by box.com
      Returns:

    - #### create

          public static OAuth2Auth create​(Vertx vertx,
                                          String clientId,
                                          String clientSecret,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for App.net
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by box.com
        `clientSecret` - the client secret given to you by box.com
        `httpClientOptions` - custom http client options
      Returns:

    - #### newInstance

          public static BoxAuth newInstance​(BoxAuth arg)